<html>
<head>
  <style>
      /** Define the margins of your page **/
      @page {
          margin: 4rem 25px;
      }

      @import url('https://fonts.googleapis.com/css2?family=Manrope&display=swap');

      body{
          color: #41281f;
          font-family: 'Manrope', sans-serif;
          font-weight: normal;
          letter-spacing: normal;
          font-kerning: none;
          font-size: 11px;
      }

      header {
          padding: 1rem;
          position: fixed;
          top: -60px;
          left: 0px;
          right: 0px;
          height: 240px;
      }

      table.header{
          padding-left: 25px;

      }

      /*main{*/
      /*    margin-top: 400px;*/
      /*}*/

      footer {
          position: fixed;
          bottom: -60px;
          left: 0px;
          right: 0px;
          height: 100px;
      }

      main table{
          border-collapse: collapse;
          width: 690px;
          height: 165px;
          margin: auto;
      }

      main tr.border td{
          border-top: 1.3px solid;
          /*border-bottom: 1.3px solid;*/
          height: 75px;
          width: 100%;
          text-align: center;
      }

      .title{
          font-size: 40px;
          font-weight: bolder;
      }

      .comment{
          padding-left: 25px;
          font-size: 11px;
          width: 450px;
      }

      .info{
          font-size: 9px;
      }

      .vertical-center{
          vertical-align: center;
      }

  </style>
</head>
<body>
<!-- Define header and footer blocks before your content -->
<header>
  <table class="header">
    <tr>
      <td style="padding-bottom: 10px"><img height="220" src="{{ person.photo }}" alt=""></td>
      <td style="width: 235px;"><p class="title" style="margin-top: 200px">Condolaties</p><p ></p></td>
      <td style="width: 320px"><p style="font-size: 14px; padding-top: 10px; padding-left: 5px; margin-top: 170px"><span style="font-size: 18px; padding-right: 5px;">|</span>{{ person.fullName }}</p></td>
      <td style="width: 70px"><p style="font-size: 14px; padding-top: 10px">{{ date }}</p></td>
      <td></td>
    </tr>
  </table>
</header>

{% set page = 1 %}
<footer>
  <table style="width: 100%">
    <tr>
      <td><img src="{{ app.request.getSchemeAndHttpHost() ~ '/uploads/media/logoPdf.png' }}" style="padding-left: 20px" width="125px" alt=""></td>
      <td>
        <p class="info">
          Uitvaarzorg Leo ©2020 <br>
          Dikkebusseweg 37, <br>
          8900 Ieper
        </p>
      </td>
      <td>
        <p class="info">
          info@uitvaartzorg-leo.be <br>
          +325720 55 33 <br>
          BTW BE 0466 516 451 <br>
        </p>
      </td>
      <td>
        <p style="padding-left: 100px"></p>
      </td>
    </tr>
  </table>
</footer>

<!-- Wrap the content of your PDF inside a main tag -->
<main>
  {% for comment in comments %}
    <table
        style="
        {% if (loop.index is divisible by 2) %} page-break-after: always; {% set pageBrokenIndex = loop.index %} {% endif %}
          {% if (comment.photoFileName is not empty and comment.photoFileName is not null) and ((loop.index - 1) is not divisible by 2) %} page-break-before: always; {% endif %}
          {% if (pageBrokenIndex is defined) and ((pageBrokenIndex + 1) == loop.index) or (loop.index == 1) %} margin-top: 250px; {% endif %}
            ">
      <tr class="border">
        {% if comment.photoFileName is not empty and comment.photoFileName is not null %}
          <td rowspan="2">
            <img
                class="vertical-center"
                style="max-width: 165px"
                src="{{ app.request.getSchemeAndHttpHost() ~ '/uploads/photos/' ~ comment.photoFileName }}"
            >
          </td>
        {% endif %}
        <td style="padding-left: 15px; height: 35px; width: 220px"><p style="font-size: 15px;">{{ comment.author }}
          </p></td>
        <td style="height: 35px; width: 100px "><p class="info" style="padding-top: 10px;">{{ comment.address }}</p></td>
        <td style="height: 35px; width: 100px" ><p class="info" style="padding-top: 10px;">{{ comment.phone }}</p></td>
        <td style="height: 35px; width: 100px"><p class="info" style="padding-top: 10px;">{{ comment.email }}</p></td>
      </tr>
      <tr class="border" style="height: auto">
        <td colspan="4" style="text-align: left; width: 450px">
          <p class="comment vertical-center" style="padding-top: 13px; height: auto;">
            {{ comment.text }}
          </p>
        </td>
      </tr>
    </table>
  {% endfor %}
</main>
</body>
</html>
